git-branchless-reword(1)

NAME
reword - Reword commits

SYNOPSIS
reword [--hidden] [-f|--force-rewrite] [-m|--message] [-d|--discard] [--fixup] [-h|--help] [REVSETS]

DESCRIPTION
Reword commits

OPTIONS

--hidden
    Include hidden commits in the results of evaluating revset expressions

-f, --force-rewrite
    Force rewording public commits, even though other people may have access to those commits

-m, --message=MESSAGES
    Message to apply to commits. Multiple messages will be combined as separate paragraphs, similar to `git commit`

-d, --discard
    Throw away the original commit messages. If `commit.template` is set, then the editor is pre-populated with that; otherwise, the editor starts empty.

--fixup=COMMIT_TO_FIXUP
    A commit to "fix up". The reworded commits will become `fixup!` commits (suitable for use with `git rebase --autosquash`) targeting the supplied commit

-h, --help
    Print help (see a summary with '-h')

[REVSETS] [default: stack() | @]
    Zero or more commits to reword